View Issue Details

IDProjectCategoryView StatusLast Update
0000766SymmetricDSBugpublic2014-02-18 14:22
ReportermhanesAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.0 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000766: dbimport of timestamp column doesn't support 'default' for Oracle (maybe others)
Description<column name="TS4" type="TIMESTAMP" default="SYSDATE"/>
<column name="TS5" type="TIMESTAMP" default="CURRENT_TIMESTAMP"/>
<column name="TS6" type="TIMESTAMP" />

all produce the same Oracle column, none of which have a default.
TagsNo tags attached.

Activities

mhanes

2012-08-09 16:32

developer   ~0000063

The fix for this is, when trying to parse a specified default value, we will try to parse (i.e., Timestamp.valueOf(defaultValue)) and if we fail we'll just return the value unchanged. This will occur whether a number format exception occurs or an illegal argument exception occurs.

mhanes

2012-08-09 16:41

developer   ~0000064

Note quite there. string is surrounded in quotes.

Related Changesets

SymmetricDS: master d3d334fa

2012-08-09 16:34:07

eegeek

Details Diff
0000766: dbimport of timestamp column doesn't support 'default' for Oracle (maybe others)
0000766
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File

SymmetricDS: master 4a4445ea

2012-08-09 17:10:25

eegeek

Details Diff
0000766: dbimport of timestamp column doesn't support 'default' for Oracle (maybe others)
0000766
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File

SymmetricDS: master 52944716

2012-08-09 18:06:56

eegeek

Details Diff
0000766: dbimport of timestamp column doesn't support 'default' for Oracle (maybe others)
0000766
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File

SymmetricDS: master 9fa32988

2012-08-10 16:02:21

eegeek

Details Diff
0000766: dbimport of timestamp column doesn't support 'default' for mysql (maybe others)
0000766
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2012-08-09 15:47 mhanes New Issue
2012-08-09 16:32 mhanes Note Added: 0000063
2012-08-09 16:32 mhanes Assigned To => mhanes
2012-08-09 16:32 mhanes Status new => assigned
2012-08-09 16:32 mhanes Status assigned => resolved
2012-08-09 16:32 mhanes Fixed in Version => 3.1.0
2012-08-09 16:32 mhanes Resolution open => fixed
2012-08-09 16:32 mhanes Assigned To mhanes => chenson
2012-08-09 16:41 mhanes Note Added: 0000064
2012-08-09 16:41 mhanes Status resolved => feedback
2012-08-09 16:41 mhanes Resolution fixed => reopened
2012-08-09 18:09 mhanes Status feedback => resolved
2012-08-09 18:09 mhanes Resolution reopened => fixed
2012-08-15 10:09 chenson Project SymmetricDS Pro => SymmetricDS
2012-08-15 10:11 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS 2.5 r6155
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6156
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6158
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6159
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6168
2015-07-30 21:49 Changeset attached => SymmetricDS master 9fa32988
2015-07-30 21:49 Changeset attached => SymmetricDS master 52944716
2015-07-30 21:49 Changeset attached => SymmetricDS master 4a4445ea
2015-07-30 21:49 Changeset attached => SymmetricDS master d3d334fa